import makeHelper from 'ember-svg-jar/utils/make-helper';
import makeSVG from 'ember-svg-jar/utils/make-svg';

function getInlineAsset(assetId) {
  try {
    // @ts-ignore
    // eslint-disable-next-line
    return require(`ember-svg-jar/inlined/${assetId}`).default;
  } catch (err) {
    return null;
  }
}

export function svgIcon(assetId, svgAttrs) {
  const temp = Object.create(svgAttrs);

  if (temp.size) {
    temp.width = temp.size;
    temp.height = temp.size;
    delete temp.size;
  }

  if (temp['view-box']) {
    temp.viewBox = `0 0 ${temp['view-box']} ${temp['view-box']}`;
    delete temp['view-box'];
  }

  const attrs = Object.assign(
    {
      class: 'ui-icon',
      xmlns: 'http://www.w3.org/2000/svg',
      'xmlns:xlink': 'http://www.w3.org/1999/xlink',
      width: '16',
      height: '16',
      viewBox: '0 0 16 16',
      preserveratioaspect: 'xMidYMid',
    },
    temp
  );

  return makeSVG(`#${assetId}`, attrs, getInlineAsset);
}

export default makeHelper(svgIcon);
