module.exports = {
	customMedia: {
		'--mobile': '(width <= 425px)',
		'--over-mobile': '(width >= 426px)',
		'--into-tablet': '(width <= 768px)',
		'--tablet': '(width >= 426px) and (width <= 768px)',
		'--over-tablet': '(width >= 769px)',
		'--into-laptop': '(width <= 1024px)',
		'--laptop': '(width >= 769px) and (width <= 1024px)',
		'--over-laptop': '(width >= 1025px)',
		'--into-desktop': '(width <= 1440px)',
		'--desktop': '(width >= 1025px) and (width <= 1440px)',
		'--over-desktop': '(width >= 1441px)'
	},
	customProperties: {
		'--primary': '#2196f3',
		'--primary-darker': '#0079c4',
		'--secondary': '#4ece3d',
		'--secondary-darker': '#40b630',
		'--accent': '#373277',
		'--palette-bright-01': '#a8c6df',
		'--palette-bright-02': '#c5d9e8',
		'--palette-bright-03': '#ecf5fd',
		'--palette-bright-04': '#fafbfc',
		'--palette-dark-01': '#212f40',
		'--palette-dark-02': '#2c405a',
		'--palette-dark-03': '#3f536e',
		'--palette-dark-04': '#8dabc4',
		'--primary-text-dark': '#3f536e',
		'--secondary-text-dark': '#8dabc4',
		'--disabled-text-dark': '#a8c6df',
		'--dividers-dark': '#c5d9e8',
		'--primary-text-white': '#ecf5fd',
		'--secondary-text-white': '#8dabc4',
		'--disabled-text-white': '#5b718c',
		'--dividers-white': '#3f536e',
		'--midnight': '#212f40',
		'--catalina-blue': '#2c405a',
		'--fiord': '#3f536e',
		'--nepal': '#8dabc4',
		'--light-steel-blue': '#a8c6df',
		'--botticelli': '#c5d9e8',
		'--zumthor': '#ecf5fd',
		'--alabaster': '#fafbfc',
		'--white': '#fff',
		'--black': '#000',
		'--cool-blue': '#0093ee',
		'--dull-lime': '#4ece3d',
		'--ruddy': '#ff151f',
		'--cool-blue-active': '#0079c4',
		'--dull-lime-active': '#40b630',
		'--soft-purple': '#ab7df6',
		'--java': '#26c2c9',
		'--supernova': '#faca00',
		'--lime': '#81c926',
		'--pumpkin': '#fd7b1f',
		'--font-size': '1rem',
		'--font-bold': '600',
		'--radius-small': '2px',
		'--radius-medium': '3px',
		'--radius-large': '4px',
		'--radius-big': 'calc(var(--offset) / 2)',
		'--offset': '2rem',
		'--offset-half': '1rem',
		'--ui-dropdown': '10',
		'--ui-popup': 'calc(var(--ui-dropdown) + 1)',
		'--ui-modal': 'calc(var(--ui-popup) + 1)',
		'--ui-loading': 'calc(var(--ui-modal) + 1)',
		'--ui-notification': 'calc(var(--ui-loading) + 1)'
	},
	customSelectors: {

	}
};
